From charliem@mwh.com Wed, 09 Jan 2002 10:37:01 -0800
From: "Charlie Mengler" <charliem@mwh.com>
Date: Wed, 09 Jan 2002 10:37:01 -0800
Subject: Re: Clone a database
Message-ID: <F001.003EB286.20020109085546@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain


I have test system (pandora) with the EXACT same disk layout as my production box.
I run the SQL below which generates a shell script.
While the DB is down for cold backups, I have the operator run clone-db.ksh;
which takes less time to complete than the backups.

Once it completes I just start the cloned DB on pandora.

HTH &YMMV!

set pages 0 feedback off lines 255
spool clone-db.ksh
select 'rcp ' || RPAD(file_name,64) || ' pandora:' || file_name || ' &' from 
dba_data_files
union
select 'rcp ' || RPAD(name,64)      || ' pandora:' ||      name || ' &' from 
v$controlfile
union
select 'rcp ' || RPAD(member,64)    || ' pandora:' || member    || ' &' from v$logfile;
spool off

Rachel Carmichael wrote:
> 
> easier perhaps only if you have the exact same disk layouts and space
> available.
> 
> and certainly MUCH more time to create -- an import takes anywhere from
> 2-4 times as long as the export did.
> 
> --- "Babich , Sergey" <SBabich@handexmail.com> wrote:
> > Hi, Beatriz,
> > If you want to create an identical copy of your production (that's my
> > understanding), it is a lot easier to export it (FULL=Y) and then
> > import the
> > dump file into your new database. Let me know if you need more info.
> > Regards,
> > Sergey Babich, Oracle DBA
> >
> >  -----Original Message-----
> > Sent: Wednesday, January 09, 2002 4:50 AM
> > To:   Multiple recipients of list ORACLE-L
> > Subject:      Clone a database
> >
> > Hello list,
> > I new to clone a database for changing between test to production.
> > The new database is going to be in a different host.
> > I have the copy obtained through the enterprise manager (I suppose
> > its
> > a cold backup).
> > Which are the steps I should follow?
> > A lot of thanks
> >
> > --
> > Please see the official ORACLE-L FAQ: http://www.orafaq.com
> > --
> > Author: Beatriz =?iso-8859-1?Q?Mart=EDnez=20Jim=E9nez?=
> >   INET: beamar@cidaut.es
> >
> > Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> > San Diego, California        -- Public Internet access / Mailing
> > Lists
> > --------------------------------------------------------------------
> > To REMOVE yourself from this mailing list, send an E-Mail message
> > to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> > the message BODY, include a line containing: UNSUB ORACLE-L
> > (or the name of mailing list you want to be removed from).  You may
> > also send the HELP command for other information (like subscribing).
> > --
> > Please see the official ORACLE-L FAQ: http://www.orafaq.com
> > --
> > Author: Babich , Sergey
> >   INET: SBabich@handexmail.com
> >
> > Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> > San Diego, California        -- Public Internet access / Mailing
> > Lists
> > --------------------------------------------------------------------
> > To REMOVE yourself from this mailing list, send an E-Mail message
> > to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> > the message BODY, include a line containing: UNSUB ORACLE-L
> > (or the name of mailing list you want to be removed from).  You may
> > also send the HELP command for other information (like subscribing).
> 
> __________________________________________________
> Do You Yahoo!?
> Send FREE video emails in Yahoo! Mail!
> http://promo.yahoo.com/videomail/
> --
> Please see the official ORACLE-L FAQ: http://www.orafaq.com
> --
> Author: Rachel Carmichael
>   INET: wisernet100@yahoo.com
> 
> Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> San Diego, California        -- Public Internet access / Mailing Lists
> --------------------------------------------------------------------
> To REMOVE yourself from this mailing list, send an E-Mail message
> to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> the message BODY, include a line containing: UNSUB ORACLE-L
> (or the name of mailing list you want to be removed from).  You may
> also send the HELP command for other information (like subscribing).

-- 
Charlie Mengler                       Maintenance Warehouse  
charliem@mwh.com                      6041 Scripps Summit Ct.
858-831-2229                          San Diego, CA 92131    
I'm as busy as a one armed wall paper hanger!
-- 
Please see the official ORACLE-L FAQ: http://www.orafaq.com
-- 
Author: Charlie Mengler
  INET: charliem@mwh.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).




